none
VS 2015 professional Andriod SDK版本过低 RRS feed

  • Pergunta

  • 已经安装Xamarin和andriod的sdk25.2.3,而且sdk manager也显示安装完成。

    因为帐户没有验证过,所以不能发图片。

    但是在我想编辑axml文件的时候,一直提示sdk版本过低。

    由于我对andriod这块是新手,所以想请教下,这个应该如何解决。谢谢。

    quinta-feira, 9 de fevereiro de 2017 08:30

Respostas

  • 你好 Merliny,

    我注意到你的图2, Android SDK Build Tools 25.0.1没装, 请试试装上它。

    并且把图4中带有Intel的System image也都装上。

    如果还有问题,请SDK Manager将platform tool卸载重装看看是否可行。


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.


    • Editado 宝宝徐Moderator segunda-feira, 13 de fevereiro de 2017 07:59
    • Sugerido como Resposta 宝宝徐Moderator terça-feira, 14 de fevereiro de 2017 08:14
    • Marcado como Resposta Merliny sexta-feira, 5 de maio de 2017 02:17
    segunda-feira, 13 de fevereiro de 2017 07:25
    Moderador
  • 您好:

         可能的原因是你编辑页面的时候,使用了一些新版sdk才支持的特性。升级sdk版本即可。


    周雪峰

    quinta-feira, 9 de fevereiro de 2017 09:57
    Moderador

Todas as Respostas

  • 您好:

         可能的原因是你编辑页面的时候,使用了一些新版sdk才支持的特性。升级sdk版本即可。


    周雪峰

    quinta-feira, 9 de fevereiro de 2017 09:57
    Moderador
  • 您好,

    我在SDK Manager里查看,已经是最新的SDK了,但是还是提示我SDK版本过低。而且我的页面是空白页面,在我想编辑的时候,就提示我SDK版本过低 。我昨天把所有东西卸载了,重新安装,还是提示我SDK版本过低,现在又多了一个提示,提示我没有安装SDK platform,这些我都用SDK Manager安装或者更新过了。

    sexta-feira, 10 de fevereiro de 2017 01:55
  • 你好 Merliny,

    首先,你可以在Verify Your Account 37 发送一个英文请求去验证你的账号,这样你就能贴图片或者链接了。

    然后,针对你这个问题,请到Options>Xamarin>Android settings检查一下的三个SDK是否安装好:

    检查Android SDK Tools是否安装并且更新到最新:

    最后检查最高版本的ApI是否安装完好:


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.

    sexta-feira, 10 de fevereiro de 2017 07:59
    Moderador
  • 您好 Lana,

    我已经申请Verify了,现在在等待。

    我在图1中的Andriod Settings中三个选项都是正确的。图2中的Andriod SDK Tools, Andriod SDK Platform-tools和Andriod SDK Bulid-tools都是最新的版本。图3中的API,我选择的是Andriod 7.1.1(API 25),但是其中并不包括Google APIs这个选项。

    还有一个问题,我是安装完R24.4.1的sdk后用SDK Manager升级到的25.2.5。

    不清楚是我没有安装Google APIs导致的还是其他原因。我现在还在尝试一些东西。

    感谢您的回复,谢谢。

    sexta-feira, 10 de fevereiro de 2017 10:41
  • 各位,

    我的账号验证通过了,现在可以放截图了。

    Options>Xamarin>Android settings:

    SDK Manager:

    错误截图,项目是新建的一个项目,没有添加任何东西:

    xamarin是安装完VS后再安装的,不是在安装程序中勾选安装的。目前已经更新到最新的版本。不知道是不是因为是另外安装的原因。

    segunda-feira, 13 de fevereiro de 2017 00:49
  • 你好 Merliny,

    我注意到你的图2, Android SDK Build Tools 25.0.1没装, 请试试装上它。

    并且把图4中带有Intel的System image也都装上。

    如果还有问题,请SDK Manager将platform tool卸载重装看看是否可行。


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.


    • Editado 宝宝徐Moderator segunda-feira, 13 de fevereiro de 2017 07:59
    • Sugerido como Resposta 宝宝徐Moderator terça-feira, 14 de fevereiro de 2017 08:14
    • Marcado como Resposta Merliny sexta-feira, 5 de maio de 2017 02:17
    segunda-feira, 13 de fevereiro de 2017 07:25
    Moderador
  • 您好 Lana,

    图2中我已经安装了25.0.2的Android SDK Build Tools,所以可能SDK Manager在更新的时候,就没有安装25.0.1的版本。但是我会尝试你说的方法。谢谢。

    terça-feira, 14 de fevereiro de 2017 08:03
  • 你好 Merliny,

    感谢你的反馈,希望你能够成功的解决这个问题。如果你觉得我的回复对你有帮助,你可以点击“标记为答复”,这样如果其他社区成员遇到类似的情况可以更加容易搜索到这个帖子方便查看。

    如果还有其他相关问题,欢迎你来提问,我们很乐意为您解答:)


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.

    terça-feira, 14 de fevereiro de 2017 08:14
    Moderador
  • 感谢各位热心的帮助,我直接把vs2015升级到2017,这个问题就解决了。
    sexta-feira, 5 de maio de 2017 02:18